{ config, lib, pkgs, ... }:

let
  cfg = config.samfelag.modules.dev.claude;
in
{
  options.samfelag.modules.dev.claude = with lib.types; {
    enable = lib.mkEnableOption "claude";
  };
  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      claude
    ];
  };
}
